﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CompteurElectrique
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainFacturesPage : Page
    {
        public MainFacturesPage()
        {
            this.InitializeComponent();
        }
       


        private void text2010_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (text2010.Text != null)
            {
                var value = Convert.ToDouble(text2010.Text);
                if (value != 0)
                    (series.ItemsSource as ObservableCollection<FacturesAnnuelle>)[0].Montant = Convert.ToDouble(text2010.Text);
            }
        }

        private void text2011_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (text2011.Text != null)
            {
                var value = Convert.ToDouble(text2011.Text);
                if (value != 0)
                    (series.ItemsSource as ObservableCollection<FacturesAnnuelle>)[1].Montant = Convert.ToDouble(text2011.Text);
            }
        }

    }

    //View Model class has to be defined outside  the Main Page class.
    public class ViewModel
    {
        public ObservableCollection<FacturesAnnuelle> Facture { get; set; }

        public ViewModel()
        {
            Facture = new ObservableCollection<FacturesAnnuelle>();
            Facture.Add(new FacturesAnnuelle() { Annee = "2010", Montant = 100.00 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2011", Montant = 1006.09 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2012", Montant = 948.92 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2013", Montant = 1068.48 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2014", Montant = 940.07 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2015", Montant = 996.88 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2016", Montant = 0 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2017", Montant = 0 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2018", Montant = 0 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2019", Montant = 0 });
            Facture.Add(new FacturesAnnuelle() { Annee = "2020", Montant = 0 });
        }
    }
    public class FacturesAnnuelle : INotifyPropertyChanged
    {
        private double montant;
        public string Annee { get; set; }
        public double Montant
        {
            get
            {
                return montant;
            }
            set
            {
                montant = value;
                OnPropertyChanged("Montant");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }


}
